# Add Order Document

This operation allows you to add a document to an existing order.

Endpoint: POST /orders/portIns/{orderId}/documents
Version: 1.0
Security: basicAuth, bearerAuth

## Security:

  - `basicAuth` (unknown)
    http basic

  - `bearerAuth` (unknown)
    oauth2

## Path parameters:

  - `orderId` (number, required)
    Order Identifier

## Request body:

  - `application/json` (unknown)
    Add Order Document

## Request fields (application/json):

  - `documentName` (string)
    The name of the document.

  - `description` (string)
    A description of the contents of the document.

  - `fileContent` (string)
    Base64-encoded content representing the file contents.

## Response 200:

  - `200` (unknown)
    Successful operation, the file name/description would be returned, but the content would not be returned in the response.

## Response 200 fields (application/json):

  - `id` (number)
    The ID of the order document.

  - `documentName` (string)
    The name of the document.

  - `description` (string)
    A description of the contents of the document.

